org.apache.maven.scm.log

## Class ScmLogDispatcher

- java.lang.Object
- - org.apache.maven.scm.log.ScmLogDispatcher

- All Implemented Interfaces:
    ScmLogger

      public class ScmLogDispatcher
      extends Object
      implements ScmLogger

  Version:
    $Id: ScmLogDispatcher.java 691832 2008-09-03 23:54:44Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScmLogDispatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(ScmLogger logger)`
    `void` | `debug(String content)`
    `void` | `debug(String content, Throwable error)`
    `void` | `debug(Throwable error)`
    `void` | `error(String content)`
    `void` | `error(String content, Throwable error)`
    `void` | `error(Throwable error)`
    `void` | `info(String content)`
    `void` | `info(String content, Throwable error)`
    `void` | `info(Throwable error)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isErrorEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isWarnEnabled()`
    `void` | `warn(String content)`
    `void` | `warn(String content, Throwable error)`
    `void` | `warn(Throwable error)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScmLogDispatcher

          public ScmLogDispatcher()

  - ### Method Detail

    - #### addListener

          public void addListener(ScmLogger logger)

    - #### debug

          public void debug(String content,
                   Throwable error)

      Specified by:
        `debug` in interface `ScmLogger`

    - #### debug

          public void debug(String content)

      Specified by:
        `debug` in interface `ScmLogger`

    - #### debug

          public void debug(Throwable error)

      Specified by:
        `debug` in interface `ScmLogger`

    - #### error

          public void error(String content,
                   Throwable error)

      Specified by:
        `error` in interface `ScmLogger`

    - #### error

          public void error(String content)

      Specified by:
        `error` in interface `ScmLogger`

    - #### error

          public void error(Throwable error)

      Specified by:
        `error` in interface `ScmLogger`

    - #### info

          public void info(String content,
                  Throwable error)

      Specified by:
        `info` in interface `ScmLogger`

    - #### info

          public void info(String content)

      Specified by:
        `info` in interface `ScmLogger`

    - #### info

          public void info(Throwable error)

      Specified by:
        `info` in interface `ScmLogger`

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Specified by:
        `isDebugEnabled` in interface `ScmLogger`

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Specified by:
        `isErrorEnabled` in interface `ScmLogger`

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Specified by:
        `isInfoEnabled` in interface `ScmLogger`

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Specified by:
        `isWarnEnabled` in interface `ScmLogger`

    - #### warn

          public void warn(String content,
                  Throwable error)

      Specified by:
        `warn` in interface `ScmLogger`

    - #### warn

          public void warn(String content)

      Specified by:
        `warn` in interface `ScmLogger`

    - #### warn

          public void warn(Throwable error)

      Specified by:
        `warn` in interface `ScmLogger`

Copyright © 2003–2015. All rights reserved.